Bug 174636 - snapshot attempt hangs with I/O running to origin
snapshot attempt hangs with I/O running to origin
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-30 18:07 EST by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 11:43:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sysrq backtracces (85.67 KB, text/plain)
2005-12-01 16:06 EST, Alasdair Kergon
no flags Details
sysrq memory (3.62 KB, text/plain)
2005-12-01 16:07 EST, Alasdair Kergon
no flags Details
sysrq backtraces during hang at 10:47am (29.32 KB, text/plain)
2005-12-02 14:54 EST, Corey Marthaler
no flags Details
sysrq backtraces during hang at 13:50pm (over three hours later) (38.19 KB, text/plain)
2005-12-02 14:56 EST, Corey Marthaler
no flags Details
sysrq backtraces during hang at 10:47am (74.40 KB, text/plain)
2005-12-05 11:03 EST, Corey Marthaler
no flags Details
sysrq backtraces during hang at 13:50pm (over three hours later) (75.97 KB, text/plain)
2005-12-05 11:05 EST, Corey Marthaler
no flags Details
script creates 3 files, snapshot, 3 files, snapshot, etc (920 bytes, text/plain)
2005-12-13 20:09 EST, Jonathan Earl Brassow
no flags Details

  None (edit)
Description Corey Marthaler 2005-11-30 18:07:08 EST
Description of problem:
I created an ext filesystem on an origin LV, mounted it, created a bunch of
snapshots, then started genesis to the filesystem, after that a snapshot attempt
hangs.

[root@morph-01 ~]# lvcreate -s -L 50M /dev/snapper/lvol0
  Rounding up size to full physical extent 52.00 MB
[hang]

attempted again and got this trace:

[...]
stat64("/etc/lvm/lvm.conf", {st_mode=S_IFREG|0644, st_size=10533, ...}) = 0
stat64("/var/lock/lvm", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
access("/var/lock/lvm", R_OK|W_OK|X_OK) = 0
open("/proc/devices", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xf6de9000
read(3, "Character devices:\n  1 mem\n  4 /"..., 1024) = 417
close(3)                                = 0
munmap(0xf6de9000, 4096)                = 0
open("/proc/misc", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xf6de9000
read(3, " 62 gnbd_ctl\n183 hw_random\n 63 d"..., 1024) = 53
close(3)                                = 0
munmap(0xf6de9000, 4096)                = 0
stat64("/dev/mapper/control", {st_mode=S_IFCHR|0600, st_rdev=makedev(10, 63),
...}) = 0
open("/dev/mapper/control", O_RDWR|O_LARGEFILE) = 3
open("/proc/devices", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xf6de9000
read(4, "Character devices:\n  1 mem\n  4 /"..., 1024) = 417
read(4, "", 1024)                       = 0
close(4)                                = 0
munmap(0xf6de9000, 4096)                = 0
ioctl(3, DM_VERSION, 0x882f318)         = 0
ioctl(3, DM_LIST_VERSIONS, 0x882f318)   = 0
ioctl(3, DM_LIST_VERSIONS, 0x882f318)   = 0
stat64("/proc/lvm/VGs/snapper", 0xfeea5060) = -1 ENOENT (No such file or directory)
rt_sigprocmask(SIG_SETMASK, ~[RTMIN RT_1], [], 8) = 0
open("/var/lock/lvm/V_snapper", O_RDWR|O_APPEND|O_CREAT|O_LARGEFILE, 0777) = 4
rt_sigaction(SIGINT, {0x809fd65, [INT], SA_RESTORER|SA_RESTART, 0x1388c8},
{SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, ~[INT RTMIN RT_1], NULL, 8) = 0
rt_sigaction(SIGINT, NULL, {0x809fd65, [INT], SA_RESTORER|SA_RESTART, 0x1388c8},
8) = 0
rt_sigaction(SIGINT, {0x809fd65, [INT], SA_RESTORER, 0x1388c8}, NULL, 8) = 0
flock(4, LOCK_EX


Version-Release number of selected component (if applicable):
device-mapper-1.02.01-1.0.RHEL4
lvm2-2.02.01-1.0.RHEL4
Comment 1 Alasdair Kergon 2005-11-30 18:34:38 EST
please confirm which kernel

and if it hung on flock, were any other lvm processes running at the same time
that might be holding the lock (did you kill the hung lvcreate process?), or
were any system LVs (like / or /var) in the same volume group?


Try to reproduce with lvcreate -vvvv   and after setting 'activation = 1' in the
log section of lvm.conf
Comment 2 Alasdair Kergon 2005-11-30 18:36:09 EST
and when it hangs, provide the output of 'dmsetup info -c' and 'dmsetup table'
and 'dmsetup status'  
Comment 3 Corey Marthaler 2005-12-01 12:11:40 EST
The kernel I was using was 2.6.9-22.0.1.ELhugemem. There were no other lvm
process running at the time, except for the hung lvcreate snap cmd (which I
wasn't able to kill) so I just attempted another snap cmd for that strace. So,
that trace is probably invalid for this bug.

I have however reproduced this and got a valid trace:

[...]
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol4", {st_mode=S_IFLNK|0777, st_size=25, ...}) = 0
unlink("/dev/snapper/lvol4")            = 0
symlink("/dev/mapper/snapper-lvol4", "/dev/snapper/lvol4") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol5", {st_mode=S_IFLNK|0777, st_size=25, ...}) = 0
unlink("/dev/snapper/lvol5")            = 0
symlink("/dev/mapper/snapper-lvol5", "/dev/snapper/lvol5") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol6", {st_mode=S_IFLNK|0777, st_size=25, ...}) = 0
unlink("/dev/snapper/lvol6")            = 0
symlink("/dev/mapper/snapper-lvol6", "/dev/snapper/lvol6") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol7", {st_mode=S_IFLNK|0777, st_size=25, ...}) = 0
unlink("/dev/snapper/lvol7")            = 0
symlink("/dev/mapper/snapper-lvol7", "/dev/snapper/lvol7") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol8", {st_mode=S_IFLNK|0777, st_size=25, ...}) = 0
unlink("/dev/snapper/lvol8")            = 0
symlink("/dev/mapper/snapper-lvol8", "/dev/snapper/lvol8") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol9", {st_mode=S_IFLNK|0777, st_size=25, ...}) = 0
unlink("/dev/snapper/lvol9")            = 0
symlink("/dev/mapper/snapper-lvol9", "/dev/snapper/lvol9") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol10", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol10")           = 0
symlink("/dev/mapper/snapper-lvol10", "/dev/snapper/lvol10") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol11", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol11")           = 0
symlink("/dev/mapper/snapper-lvol11", "/dev/snapper/lvol11") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol12", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol12")           = 0
symlink("/dev/mapper/snapper-lvol12", "/dev/snapper/lvol12") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol13", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol13")           = 0
symlink("/dev/mapper/snapper-lvol13", "/dev/snapper/lvol13") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol14", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol14")           = 0
symlink("/dev/mapper/snapper-lvol14", "/dev/snapper/lvol14") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol15", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol15")           = 0
symlink("/dev/mapper/snapper-lvol15", "/dev/snapper/lvol15") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol16", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol16")           = 0
symlink("/dev/mapper/snapper-lvol16", "/dev/snapper/lvol16") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol17", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol17")           = 0
symlink("/dev/mapper/snapper-lvol17", "/dev/snapper/lvol17") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol18", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol18")           = 0
symlink("/dev/mapper/snapper-lvol18", "/dev/snapper/lvol18") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol19", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol19")           = 0
symlink("/dev/mapper/snapper-lvol19", "/dev/snapper/lvol19") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol20", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol20")           = 0
symlink("/dev/mapper/snapper-lvol20", "/dev/snapper/lvol20") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol21", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol21")           = 0
symlink("/dev/mapper/snapper-lvol21", "/dev/snapper/lvol21") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol22", {st_mode=S_IFLNK|0777, st_size=26, ...}) = 0
unlink("/dev/snapper/lvol22")           = 0
symlink("/dev/mapper/snapper-lvol22", "/dev/snapper/lvol22") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
stat64("/dev/snapper", {st_mode=S_IFDIR|0700, st_size=500, ...}) = 0
lstat64("/dev/snapper/group", 0xfef1a540) = -1 ENOENT (No such file or directory)
lstat64("/dev/snapper/lvol23", 0xfef1a540) = -1 ENOENT (No such file or directory)
symlink("/dev/mapper/snapper-lvol23", "/dev/snapper/lvol23") = 0
open("/proc/filesystems", O_RDONLY)     = 9
read(9, "nodev\tsysfs\nnodev\trootfs\nnodev\tb"..., 4095) = 287
close(9)                                = 0
mlockall(MCL_CURRENT|MCL_FUTURE)        = 0
brk(0xa804000)                          = 0xa804000
brk(0xa9ec000)                          = 0xa9ec000
getpriority(PRIO_PROCESS, 0)            = 20
setpriority(PRIO_PROCESS, 0, -18)       = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fe3a40)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = -1 ENXIO (No such device or address)
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_TABLE_DEPS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_STATUS, 0x9fc4ae0)      = 0
ioctl(3, DM_DEV_SUSPEND

[HANG]


Comment 4 Corey Marthaler 2005-12-01 12:13:34 EST
more requested info:


[root@morph-01 ~]# dmsetup info -c
Name             Maj Min Stat Open Targ Event  UUID
snapper-lvol10   253  23 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGe298HZYaiGUq16JWdRqcnIZDfGcQMB2d
snapper-lvol15-cow 253  32 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGh8lOQ06L2atdv4Hs2Wvgaoq4cyraodWv-cow
snapper-lvol4    253  11 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnG7MpilVdTQcIkLIdeBsBaT96uz26Xgcdh
snapper-lvol5-cow 253  12 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGawbtHzchW5qjz5mR4tVH7uLW6ppRYQbF-cow
snapper-lvol3    253   9 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGXSMmy785DO6sgmAVNuIfrK1ImirsBwWp
snapper-lvol23   253  49 -I-w    0    0      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGGWG27FHWaYaktMnuDuNhN4Oo1dvtcmdi
snapper-lvol10-cow 253  22 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGe298HZYaiGUq16JWdRqcnIZDfGcQMB2d-cow
snapper-lvol2    253   7 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGdSYe6k78lBcG5Yd2wBP03dORwwgtGoH3
snapper-lvol16-cow 253  34 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGOoLk6wauxiRCaZvW5kUbmWJuIKI3s6dJ-cow
snapper-lvol22   253  47 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGpB26voJYdETUiE4t8l7wFETMhZlUgPge
snapper-lvol1    253   5 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGpVambvSAsXBSQgiProgay7FsfEAqfSpW
snapper-lvol6-cow 253  14 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGHw7GYftqvXwmSe6gA9cePCkuA5w1TRtC-cow
snapper-lvol20-cow 253  42 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGjpV3hg8gSim1cV6iXG1soafMwDGJrNlv-cow
snapper-lvol19   253  41 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGFCwell5xSjZbQWHkvOICNCAqpftpg7dv
snapper-lvol21   253  45 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGAqtG27iHNkUgsal3gqXBal4fSBXqY0Hu
snapper-lvol11-cow 253  24 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGt5tiPyD5qxq4agjmSdIzBsoKdDqhS0Xx-cow
snapper-lvol0    253   2 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGGp9PzxVJl2bTYgvuKXF0D7k3CcAm9ss2
snapper-lvol17-cow 253  36 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnG7yvLOyGVqJ9RPVOK59acMSQaQPcqxf4w-cow
snapper-lvol18   253  39 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGqryIuQk63RYge1bszueug7UzJMnw9eyv
snapper-lvol20   253  43 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGjpV3hg8gSim1cV6iXG1soafMwDGJrNlv
snapper-lvol1-cow 253   4 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGpVambvSAsXBSQgiProgay7FsfEAqfSpW-cow
snapper-lvol7-cow 253  16 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGAoD4I63mTFLVAmAhB1hvf7kL14adUoQ3-cow
snapper-lvol17   253  37 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnG7yvLOyGVqJ9RPVOK59acMSQaQPcqxf4w
snapper-lvol21-cow 253  44 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGAqtG27iHNkUgsal3gqXBal4fSBXqY0Hu-cow
snapper-lvol12-cow 253  26 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnG1FpcESk7ucBajkyTf7o15bcs97x73JWo-cow
snapper-lvol18-cow 253  38 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGqryIuQk63RYge1bszueug7UzJMnw9eyv-cow
snapper-lvol16   253  35 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGOoLk6wauxiRCaZvW5kUbmWJuIKI3s6dJ
snapper-lvol2-cow 253   6 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGdSYe6k78lBcG5Yd2wBP03dORwwgtGoH3-cow
snapper-lvol15   253  33 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGh8lOQ06L2atdv4Hs2Wvgaoq4cyraodWv
snapper-lvol8-cow 253  18 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGlc7D5omEU4TChhzJqsD2m7FJ4hY7eY93-cow
snapper-lvol9    253  21 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGjjE9WbAyJsP0uMrkwZ6Q3aplqBiTFfBC
snapper-lvol22-cow 253  46 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGpB26voJYdETUiE4t8l7wFETMhZlUgPge-cow
snapper-lvol13-cow 253  28 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGxkqgVP54A4MH6qogzZNiMcdLHC1t44Y8-cow
snapper-lvol14   253  31 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGgXtjqpENtbfQ4U04WKOzwpoMMuPmj9N0
snapper-lvol19-cow 253  40 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGFCwell5xSjZbQWHkvOICNCAqpftpg7dv-cow
snapper-lvol8    253  19 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGlc7D5omEU4TChhzJqsD2m7FJ4hY7eY93
VolGroup00-LogVol01 253   1 L--w    1    1      0
aI5jJ3WrIqEE3dm1Kj9dYzQbl8LSunfelNJybhpTOPDiPPMnD3Qw2jlhDFYwf4b6
snapper-lvol3-cow 253   8 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGXSMmy785DO6sgmAVNuIfrK1ImirsBwWp-cow
snapper-lvol13   253  29 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGxkqgVP54A4MH6qogzZNiMcdLHC1t44Y8
snapper-lvol9-cow 253  20 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGjjE9WbAyJsP0uMrkwZ6Q3aplqBiTFfBC-cow
snapper-lvol7    253  17 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGAoD4I63mTFLVAmAhB1hvf7kL14adUoQ3
snapper-lvol23-cow 253  48 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGGWG27FHWaYaktMnuDuNhN4Oo1dvtcmdi-cow
snapper-lvol0-real 253   3 L--w   24    2      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGGp9PzxVJl2bTYgvuKXF0D7k3CcAm9ss2-real
VolGroup00-LogVol00 253   0 L--w    1    1      0
aI5jJ3WrIqEE3dm1Kj9dYzQbl8LSunfe28xTiqONb6LADZANkDXElZv0B9TPm9sb
snapper-lvol14-cow 253  30 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGgXtjqpENtbfQ4U04WKOzwpoMMuPmj9N0-cow
snapper-lvol12   253  27 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnG1FpcESk7ucBajkyTf7o15bcs97x73JWo
snapper-lvol6    253  15 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGHw7GYftqvXwmSe6gA9cePCkuA5w1TRtC
snapper-lvol11   253  25 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGt5tiPyD5qxq4agjmSdIzBsoKdDqhS0Xx
snapper-lvol4-cow 253  10 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnG7MpilVdTQcIkLIdeBsBaT96uz26Xgcdh-cow
snapper-lvol5    253  13 L--w    0    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGawbtHzchW5qjz5mR4tVH7uLW6ppRYQbF


[root@morph-01 ~]# dmsetup table
snapper-lvol10: 0 1048576000 snapshot 253:3 253:22 P 16
snapper-lvol15-cow: 0 106496 linear 8:49 1491328
snapper-lvol4: 0 1048576000 snapshot 253:3 253:10 P 16
snapper-lvol5-cow: 0 106496 linear 8:49 426368
snapper-lvol3: 0 1048576000 snapshot 253:3 253:8 P 16
snapper-lvol23:
snapper-lvol10-cow: 0 106496 linear 8:49 958848
snapper-lvol2: 0 1048576000 snapshot 253:3 253:6 P 16
snapper-lvol16-cow: 0 106496 linear 8:49 1597824
snapper-lvol22: 0 1048576000 snapshot 253:3 253:46 P 16
snapper-lvol1: 0 1048576000 snapshot 253:3 253:4 P 16
snapper-lvol6-cow: 0 106496 linear 8:49 532864
snapper-lvol20-cow: 0 106496 linear 8:49 2023808
snapper-lvol19: 0 1048576000 snapshot 253:3 253:40 P 16
snapper-lvol21: 0 1048576000 snapshot 253:3 253:44 P 16
snapper-lvol11-cow: 0 106496 linear 8:49 1065344
snapper-lvol0: 0 1048576000 snapshot-origin 253:3
snapper-lvol17-cow: 0 106496 linear 8:49 1704320
snapper-lvol18: 0 1048576000 snapshot 253:3 253:38 P 16
snapper-lvol20: 0 1048576000 snapshot 253:3 253:42 P 16
snapper-lvol1-cow: 0 106496 linear 8:49 384
snapper-lvol7-cow: 0 106496 linear 8:49 639360
snapper-lvol17: 0 1048576000 snapshot 253:3 253:36 P 16
snapper-lvol21-cow: 0 106496 linear 8:49 2130304
snapper-lvol12-cow: 0 106496 linear 8:49 1171840
snapper-lvol18-cow: 0 106496 linear 8:49 1810816
snapper-lvol16: 0 1048576000 snapshot 253:3 253:34 P 16
snapper-lvol2-cow: 0 106496 linear 8:49 106880
snapper-lvol15: 0 1048576000 snapshot 253:3 253:32 P 16
snapper-lvol8-cow: 0 106496 linear 8:49 745856
snapper-lvol9: 0 1048576000 snapshot 253:3 253:20 P 16
snapper-lvol22-cow: 0 106496 linear 8:49 2236800
snapper-lvol13-cow: 0 106496 linear 8:49 1278336
snapper-lvol14: 0 1048576000 snapshot 253:3 253:30 P 16
snapper-lvol19-cow: 0 106496 linear 8:49 1917312
snapper-lvol8: 0 1048576000 snapshot 253:3 253:18 P 16
VolGroup00-LogVol01: 0 4063232 linear 3:6 32571776
snapper-lvol3-cow: 0 106496 linear 8:49 213376
snapper-lvol13: 0 1048576000 snapshot 253:3 253:28 P 16
snapper-lvol9-cow: 0 106496 linear 8:49 852352
snapper-lvol7: 0 1048576000 snapshot 253:3 253:16 P 16
snapper-lvol23-cow: 0 106496 linear 8:49 2343296
snapper-lvol0-real: 0 569016320 linear 8:1 384
snapper-lvol0-real: 569016320 479559680 linear 8:33 384
VolGroup00-LogVol00: 0 32571392 linear 3:6 384
snapper-lvol14-cow: 0 106496 linear 8:49 1384832
snapper-lvol12: 0 1048576000 snapshot 253:3 253:26 P 16
snapper-lvol6: 0 1048576000 snapshot 253:3 253:14 P 16
snapper-lvol11: 0 1048576000 snapshot 253:3 253:24 P 16
snapper-lvol4-cow: 0 106496 linear 8:49 319872
snapper-lvol5: 0 1048576000 snapshot 253:3 253:12 P 16


[root@morph-01 ~]# dmsetup status
snapper-lvol10: 0 1048576000 snapshot 69744/106496
snapper-lvol15-cow: 0 106496 linear
snapper-lvol4: 0 1048576000 snapshot 69744/106496
snapper-lvol5-cow: 0 106496 linear
snapper-lvol3: 0 1048576000 snapshot 69744/106496
snapper-lvol23:
snapper-lvol10-cow: 0 106496 linear
snapper-lvol2: 0 1048576000 snapshot 69744/106496
snapper-lvol16-cow: 0 106496 linear
snapper-lvol22: 0 1048576000 snapshot 69744/106496
snapper-lvol1: 0 1048576000 snapshot 69744/106496
snapper-lvol6-cow: 0 106496 linear
snapper-lvol20-cow: 0 106496 linear
snapper-lvol19: 0 1048576000 snapshot 69744/106496
snapper-lvol21: 0 1048576000 snapshot 69744/106496
snapper-lvol11-cow: 0 106496 linear
snapper-lvol0: 0 1048576000 snapshot-origin
snapper-lvol17-cow: 0 106496 linear
snapper-lvol18: 0 1048576000 snapshot 69744/106496
snapper-lvol20: 0 1048576000 snapshot 69744/106496
snapper-lvol1-cow: 0 106496 linear
snapper-lvol7-cow: 0 106496 linear
snapper-lvol17: 0 1048576000 snapshot 69744/106496
snapper-lvol21-cow: 0 106496 linear
snapper-lvol12-cow: 0 106496 linear
snapper-lvol18-cow: 0 106496 linear
snapper-lvol16: 0 1048576000 snapshot 69744/106496
snapper-lvol2-cow: 0 106496 linear
snapper-lvol15: 0 1048576000 snapshot 69744/106496
snapper-lvol8-cow: 0 106496 linear
snapper-lvol9: 0 1048576000 snapshot 69744/106496
snapper-lvol22-cow: 0 106496 linear
snapper-lvol13-cow: 0 106496 linear
snapper-lvol14: 0 1048576000 snapshot 69744/106496
snapper-lvol19-cow: 0 106496 linear
snapper-lvol8: 0 1048576000 snapshot 69744/106496
VolGroup00-LogVol01: 0 4063232 linear
snapper-lvol3-cow: 0 106496 linear
snapper-lvol13: 0 1048576000 snapshot 69744/106496
snapper-lvol9-cow: 0 106496 linear
snapper-lvol7: 0 1048576000 snapshot 69744/106496
snapper-lvol23-cow: 0 106496 linear
snapper-lvol0-real: 0 569016320 linear
snapper-lvol0-real: 569016320 479559680 linear
VolGroup00-LogVol00: 0 32571392 linear
snapper-lvol14-cow: 0 106496 linear
snapper-lvol12: 0 1048576000 snapshot 69744/106496
snapper-lvol6: 0 1048576000 snapshot 69744/106496
snapper-lvol11: 0 1048576000 snapshot 69744/106496
snapper-lvol4-cow: 0 106496 linear
snapper-lvol5: 0 1048576000 snapshot 69744/106496
Comment 5 Alasdair Kergon 2005-12-01 13:21:44 EST
snapper-lvol23-cow: 0 106496 linear 8:49 2343296

snapper-lvol23-cow 253  48 L--w    1    1      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGGWG27FHWaYaktMnuDuNhN4Oo1dvtcmdi-cow

snapper-lvol23   253  49 -I-w    0    0      0
LVM-lIS0yWoLmUJRH6rokNQBv6WCn5PLdUnGGWG27FHWaYaktMnuDuNhN4Oo1dvtcmdi

ioctl(3, DM_DEV_SUSPEND


So no devices are suspended yet, but the first attempt to suspend a device is
hanging.

This looks like a new failure mode that needs investigating.

Can you get some sysreq information?
e.g.
  echo t > /proc/sysrq-trigger
  echo m > /proc/sysrq-trigger
Comment 6 Corey Marthaler 2005-12-01 14:46:11 EST
the requested sysreq info is located in /home/msp/cmarthal/pub/bugs/174636
Comment 7 Alasdair Kergon 2005-12-01 16:06:30 EST
Created attachment 121708 [details]
sysrq backtracces
Comment 8 Alasdair Kergon 2005-12-01 16:07:09 EST
Created attachment 121709 [details]
sysrq memory
Comment 9 Corey Marthaler 2005-12-02 14:54:38 EST
Created attachment 121779 [details]
sysrq backtraces during hang at 10:47am

additional requested system info
Comment 10 Corey Marthaler 2005-12-02 14:56:30 EST
Created attachment 121780 [details]
sysrq backtraces during hang at 13:50pm  (over three hours later)

additional requested system info
Comment 11 Alasdair Kergon 2005-12-03 20:08:57 EST
Have those attachments got truncated - I don't see any genesis processes and they're smaller than the 
first trace?
Comment 12 Corey Marthaler 2005-12-05 10:45:28 EST
Hmmm, they do appear truncated, I'll try and grab them from /var/log/messages again.
Comment 13 Corey Marthaler 2005-12-05 11:03:41 EST
Created attachment 121855 [details]
sysrq backtraces during hang at 10:47am

2nd attempt to post requested system info
Comment 14 Corey Marthaler 2005-12-05 11:05:24 EST
Created attachment 121856 [details]
sysrq backtraces during hang at 13:50pm  (over three hours later)

2nd attempt to post additional requested system info
Comment 15 Alasdair Kergon 2005-12-09 13:24:37 EST
What's stopping the lockfs from completing?
[But what's copy_params+4e doing there?]

Dec  2 10:47:22 morph-01 kernel:  [<022c753e>] io_schedule+0x26/0x30
Dec  2 10:47:22 morph-01 kernel:  [<0213e4a4>] wait_on_page_bit+0xa3/0xbe
Dec  2 10:47:22 morph-01 kernel:  [<0213e379>] page_wake_function+0x0/0x36
Dec  2 10:47:22 morph-01 kernel:  [<0213e834>] find_get_pages_tag+0x5d/0x64
Dec  2 10:47:22 morph-01 kernel:  [<0213e379>] page_wake_function+0x0/0x36
Dec  2 10:47:22 morph-01 kernel:  [<02175f19>] mpage_writepages+0x195/0x314
Dec  2 10:47:22 morph-01 kernel:  [<0218fce0>] ext2_get_block+0x0/0x2d2
Dec  2 10:47:23 morph-01 kernel:  [<f8861a28>] copy_params+0x4e/0x70 [dm_mod]
Dec  2 10:47:23 morph-01 kernel:  [<0214308d>] do_writepages+0x19/0x27
Dec  2 10:47:23 morph-01 kernel:  [<021748b0>] __sync_single_inode+0x5f/0x1c1
Dec  2 10:47:23 morph-01 kernel:  [<02174c44>] sync_sb_inodes+0x1a7/0x274
Dec  2 10:47:23 morph-01 kernel:  [<02174e61>] sync_inodes_sb+0x72/0x83
Dec  2 10:47:23 morph-01 kernel:  [<0215e781>] get_super+0x5d/0x8b
Dec  2 10:47:23 morph-01 kernel:  [<0215a269>] freeze_bdev+0x59/0x100
Dec  2 10:47:23 morph-01 kernel:  [<f885e016>] lock_fs+0x65/0x9c [dm_mod]
Dec  2 10:47:23 morph-01 kernel:  [<f885e109>] dm_suspend+0x87/0x1bb [dm_mod]
Dec  2 10:47:23 morph-01 kernel:  [<0211e54d>] default_wake_function+0x0/0xc
Dec  2 10:47:23 morph-01 kernel:  [<0211e54d>] default_wake_function+0x0/0xc
Dec  2 10:47:23 morph-01 kernel:  [<f885dec0>] dm_get_mdptr+0x69/0x89 [dm_mod]
Dec  2 10:47:23 morph-01 kernel:  [<f8860b9c>] do_suspend+0x10b/0x12d [dm_mod]
Dec  2 10:47:23 morph-01 kernel:  [<f8861b8c>] ctl_ioctl+0xcb/0x10d [dm_mod]
Dec  2 10:47:24 morph-01 kernel:  [<f8860d2e>] dev_suspend+0x0/0x10 [dm_mod]
Dec  2 10:47:24 morph-01 kernel:  [<02168a9a>] sys_ioctl+0x211/0x253
Comment 17 Jonathan Earl Brassow 2005-12-13 20:09:13 EST
Created attachment 122211 [details]
script creates 3 files, snapshot, 3 files, snapshot, etc

Usage:
snap_174753.sh [num iterations, default=2]

for every iteration, create 3 files, then a snapshot

Output must be inspected manually to check for failures (e.g. not ready for
test grid)
Comment 18 Jonathan Earl Brassow 2005-12-13 20:13:11 EST
If I run the above script with 2 iterations, I hit bug 174753.  If I run with 10
iterations, I either hit 174742 or 174636.

Since kernel 2.6.9-25.EL I have been unable to hit any of them
Comment 19 Alasdair Kergon 2006-01-13 15:36:09 EST
Once Jason has incorporated the two snapshot patches I sent him yesterday in
connection with bug 172839 and bug 177620 please repeat the test next week with
his new kernel.

If that fails, we can try out some further kernel patches.

Comment 20 Corey Marthaler 2006-01-18 17:07:08 EST
This appears to be fixed with the latest kern/rpms

[root@link-08 bin]# uname -ar
Linux link-08 2.6.9-28.ELsmp #1 SMP Fri Jan 13 17:08:22 EST 2006 x86_64 x86_64
x86_64 GNU/Linux
[root@link-08 bin]# rpm -q lvm2
lvm2-2.02.01-1.3.RHEL4
[root@link-08 bin]# rpm -q device-mapper
device-mapper-1.02.02-3.0.RHEL4
Comment 21 Alasdair Kergon 2006-01-19 12:49:11 EST
OK - not sure of the actual cause of this problem, but as it's now fixed,
closing this.

Note You need to log in before you can comment on or make changes to this bug.